/****************************************************
*   Estack_Lib                                      *
*                                                   *
*   Copyright (C) 2005 by FpgForce (Florent WEBER)  *
*   fpgforce@free.fr                                *
*   Version 0.90 - 18/04/2005                       *
*****************************************************/

#define MIN_AMS 205

#include <tigcclib.h>

/*//////////////////////////////////////////////////////////////////////////////////////////////////////*/

extern void integrate (ESI, float, float) ;           // Integre la fonction
extern void differentiate_nth (ESI, float) ;          // Derive la fonction
extern short anti_deriv (ESI) ;                       // Primitive de f(x)
extern void expand (ESI) ;                            // Developpe f(x)
extern void factor (ESI) ;                            // Factorise f(x)
extern void solve (ESI, ESI) ;                        // Resout arg1 = arg2 en fonction de X
extern void zeros (ESI) ;                             // Retourne la liste des zeros de la fonction
extern void czeros (ESI) ;                            // Retourne la liste des racines complexes
extern void limit (ESI, float, float, short) ;        // Limite de f(x) en point et direction
extern void desolve (ESI, float, float, short) ;      // Equation Differentielle
extern void comdenom (ESI, ESI) ;                     // Denominateur commun
extern void propfrac (ESI) ;                          // Forme rationnelle
extern void getdenom (ESI) ;                          // Recupere le denominateur
extern void texpand (ESI) ;                           // Developpe des expression trigo
extern void tcollect (ESI) ;                          // Factorise des expressions trigo
extern void taylor (ESI, float) ;                     // Developpement limite

/*//////////////////////////////////////////////////////////////////////////////////////////////////////*/

extern void tangent (ESI, float) ;                    // Tangente

/*//////////////////////////////////////////////////////////////////////////////////////////////////////*/

extern void output_expr_xy (int, int, ESI) ;          // Affichage d'une expression en pretty print
extern void disp_str (char*) ;                        // Equivalent a la commande "disp" du ti-basic
extern void output_2d_expression (ESI, short) ;       // Equivalent a la commande "pause" du ti-basic
extern void clear_io (void) ;                         // Equivalent a la commande "clrio" du ti-basic

/*//////////////////////////////////////////////////////////////////////////////////////////////////////*/

extern void str2ESI (char *) ;                        // Convertit une chaine ANSI en une expression

/*//////////////////////////////////////////////////////////////////////////////////////////////////////*/

extern const char * ESTACK_LIB_AUTHOR ;               // Auteur de la librairie
extern const char * ESTACK_LIB_VERSION_STR ;          // Version de la librairie
